name: Build eismuliplexer for linux
run-name: Building eismuliplexer for linux
on: [push]

jobs:
  Build:
    runs-on: ubuntu-20.04
    steps:
      - name: Install dependancies
        run: apt update; apt install -y libusb-dev cmake
      - name: Check out repository code
        uses: ischanx/checkout@8c80eac3058d03dc5301629e8f7d59ae255d6cc3
      - name: Build
        run: mkdir ${{ gitea.workspace }}/build; cd ${{ gitea.workspace }}/build; cmake ..; make
      - name: List files in the build dir
        run: ls
